(function webpackUniversalModuleDefinition(root, factory) {
	if(typeof exports === 'object' && typeof module === 'object')
		module.exports = factory();
	else if(typeof define === 'function' && define.amd)
		define([], factory);
	else if(typeof exports === 'object')
		exports["Medmeeting"] = factory();
	else
		root["Medmeeting"] = factory();
})(this, (function() {
return /******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// identity function for calling harmony imports with the correct context
/******/ 	__webpack_require__.i = function(value) { return value; };
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 223);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// this module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate
    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 206:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = install;

var _mtCkeditor = __webpack_require__(217);

var _mtCkeditor2 = _interopRequireDefault(_mtCkeditor);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function install(Vue) {
  Vue.component('mt-ckeditor', _mtCkeditor2.default);
}
module.exports = exports['default'];

/***/ }),

/***/ 212:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//

exports.default = {
  data: function data() {
    return {
      editor: {},
      document: ''
    };
  },

  methods: {
    show: function show() {
      this.document = this.editor.getData();
    }
  },
  mounted: function mounted() {
    var _this = this;

    this.$load('https://cdn.bootcss.com/ckeditor/4.7.3/ckeditor.js', (function () {
      window.CKEDITOR.plugins.add('qiniuUpload', {
        requires: ['dialog'],
        init: function init(a) {
          a.addCommand('qiniuUpload', new window.CKEDITOR.dialogCommand('qiniuUpload'));
          a.ui.addButton('picUpload', {
            label: 'qiniuUpload', //调用dialog时显示的名称
            command: 'qiniuUpload',
            icon: 'hello.ico'
          });
          window.CKEDITOR.dialog.add('qiniuUpload', {
            title: 'picUpload',
            minWidth: '500px',
            resizable: true,
            minHeight: '500px',
            contents: [{
              id: 'tab1',
              label: '',
              title: '',
              expand: true,
              width: '500px',
              background: '#fff',
              height: '500px',
              padding: 0,
              elements: [{
                type: 'text',
                label: '请输入日期控件名称',
                id: 'lang',
                required: true
              }, {
                type: 'html',
                html: '<span>说明：日历控件选择的日期、时间将回填到该输入框中。</span>'
              }]
            }, {
              id: 'tab1',
              label: '',
              title: '',
              expand: true,
              width: '500px',
              background: '#fff',
              height: '500px',
              padding: 0,
              elements: [{
                type: 'text',
                label: '请输入日期控件名称',
                id: 'lang',
                required: true
              }, {
                type: 'html',
                html: '<span>说明：日历控件选择的日期、时间将回填到该输入框中。</span>'
              }]
            }],
            onOk: function onOk() {},
            onLoad: function onLoad() {
              console.log('next');
            }
          });
        }
      });
      _this.editor = window.CKEDITOR.replace('editor1', {
        extraPlugins: 'qiniuUpload',
        filebrowserImageUploadUrl: 'http://api.medmeeting.com/v1/files',
        image_previewText: ' ',
        colorButton_normalizeBackground: true,
        colorButton_foreStyle: {
          element: 'span',
          styles: { color: '#(color)' }
        },
        colorButton_enableMore: false,
        colorButton_colors: '000,800000,8B4513,2F4F4F,008080,000080,4B0082,696969,B22222,A52A2A,DAA520,006400,40E0D0,0000CD,800080,808080,F00,FF8C00,FFD700,008000,0FF,00F,EE82EE,A9A9A9,FFA07A,FFA500,FFFF00,00FF00,AFEEEE,ADD8E6,DDA0DD,D3D3D3,FFF0F5,FAEBD7,FFFFE0,F0FFF0,F0FFFF,F0F8FF,E6E6FA,FFF',
        toolbarGroups: [{ name: 'qiniuUpload', groups: ['qiniuUpload'] }, { name: 'styles', groups: ['styles'] }, { name: 'basicstyles', groups: ['basicstyles', 'cleanup'] }, { name: 'colors', groups: ['colors'] }, { name: 'links', groups: ['links'] }, { name: 'clipboard', groups: ['clipboard', 'undo'] }, { name: 'editing', groups: ['find', 'selection', 'spellchecker', 'editing'] }, { name: 'forms', groups: ['forms'] }, { name: 'paragraph', groups: ['list', 'indent', 'blocks', 'align', 'bidi', 'paragraph'] }, { name: 'tools', groups: ['tools'] }, { name: 'document', groups: ['mode', 'document', 'doctools'] }, { name: 'insert', groups: ['insert'] }, { name: 'others', groups: ['others'] }, { name: 'about', groups: ['about'] }]
      });

      _this.editor.on('fileUploadRequest', (function (evt) {
        var xhr = evt.data.fileLoader.xhr;

        console.log('Hello world');
        console.log('读取Request');
        console.log('url' + evt.data.url);
        console.log('message' + evt.data.message);
        console.log('filename' + evt.data.filename);
        xhr.withCredentials = true;
      }));
    }));
  }
};
module.exports = exports['default'];

/***/ }),

/***/ 216:
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ 217:
/***/ (function(module, exports, __webpack_require__) {

var disposed = false
function injectStyle (ssrContext) {
  if (disposed) return
  __webpack_require__(216)
}
var Component = __webpack_require__(0)(
  /* script */
  __webpack_require__(212),
  /* template */
  __webpack_require__(218),
  /* styles */
  injectStyle,
  /* scopeId */
  "data-v-bf5379ce",
  /* moduleIdentifier (server only) */
  null
)
Component.options.__file = "/Users/jiangsong/healife_FD/PC_Component/src/components/mt-ckeditor/mt-ckeditor.vue"
if (Component.esModule && Object.keys(Component.esModule).some((function (key) {return key !== "default" && key.substr(0, 2) !== "__"}))) {console.error("named exports are not supported in *.vue files.")}
if (Component.options.functional) {console.error("[vue-loader] mt-ckeditor.vue: functional components are not supported with templates, they should use render functions.")}

/* hot reload */
if (false) {(function () {
  var hotAPI = require("vue-hot-reload-api")
  hotAPI.install(require("vue"), false)
  if (!hotAPI.compatible) return
  module.hot.accept()
  if (!module.hot.data) {
    hotAPI.createRecord("data-v-bf5379ce", Component.options)
  } else {
    hotAPI.reload("data-v-bf5379ce", Component.options)
  }
  module.hot.dispose((function (data) {
    disposed = true
  }))
})()}

module.exports = Component.exports


/***/ }),

/***/ 218:
/***/ (function(module, exports, __webpack_require__) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [_c('textarea', {
    attrs: {
      "name": "editor1",
      "id": "editor1",
      "rows": "10",
      "cols": "80"
    }
  }, [_vm._v("    This is my textarea to be replaced with CKEditor.\n  ")]), _vm._v(" "), _c('el-button', {
    on: {
      "click": _vm.show
    }
  }, [_vm._v("show Editor")]), _vm._v(" "), _c('div', {
    domProps: {
      "innerHTML": _vm._s(_vm.document)
    }
  })], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true
if (false) {
  module.hot.accept()
  if (module.hot.data) {
     require("vue-hot-reload-api").rerender("data-v-bf5379ce", module.exports)
  }
}

/***/ }),

/***/ 223:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(206);


/***/ })

/******/ });
}));