import './style/global.less'
import './style/index.less'
import './style/theme.less'
import MtIcon from './components/mt-icon/index.js'
import MtInput from './components/mt-input/index.js'
import MtTabRouterView from './components/mt-tab-router-view/index.js'
import MtTitle from './components/mt-title/index.js'
import MtAddress from './components/mt-address/index.js'
// import MtAddressShow from './components/mt-address/mt-address-show/index.js';
import MtTelephone from './components/mt-telephone/index.js'
import MtEditor from './components/mt-editor/index.js'
import MtPhone from './components/mt-phone/index.js'
import MtUploadPic from './components/mt-upload-pic/index.js'
import MtUploadPicList from './components/mt-upload-pic-list/index.js'
import MtList from './components/mt-list/index.js'
import MtVideo from './components/mt-video/index.js'
import MtDrag from './components/mt-drag/index.js'
import MtMap from './components/mt-map/index.js'
import MtQr from './components/mt-qr/index.js'
import MtBankIcon from './components/mt-bank-icon/index.js'
import MtMsgCode from './components/mt-msg-code/index.js'
import MtUploadFile from './components/mt-upload-file/index.js'
import MtSlideBar from './components/mt-slide-bar/index.js'
import MtSelect from './components/mt-select/index.js'
import MtRegInput from './components/mt-reg-input/index.js'
import Keycode from './config/keyCode.json'
import MtGroup from './components/mt-group/index.js'
import MtCell from './components/mt-cell/index.js'
// import Http from './plugins/http/index.js'
import Load from './plugins/Load/index.js'
import Picslim from './plugins/Picslim/index.js'
// import MtCkeditor from './components/mt-ckeditor/index.js'
const options = {
  MtGroup,
  MtCell,
  MtRegInput,
  MtMsgCode,
  MtVideo,
  MtTabRouterView,
  MtIcon,
  MtInput,
  MtTitle,
  MtAddress,
  MtTelephone,
  MtEditor,
  MtPhone,
  MtUploadPicList,
  MtUploadPic,
  MtList,
  MtDrag,
  // Http,
  Picslim,
  MtMap,
  Load,
  MtQr,
  MtBankIcon,
  MtUploadFile,
  MtSlideBar,
  MtSelect
  // MtCkeditor
}

options.install = (Vue) => {
  for (let component in options) {
    const componentInstaller = options[component]

    Vue.config.keyCodes = Keycode
    if (componentInstaller && component !== 'install') {
      Vue.use(componentInstaller)
    }
  }
}

export default options
